-- Deploy sc_vlci_userdb:v_migrations/TLF011-asignar_cargo to pg
BEGIN;

/*Administrador*/
UPDATE
    public.users
SET
    position = 'Administrador'
WHERE
    username in (
        'ULDAP1',
        'uldap1',
        'USMARTCITIES',
        'usmartcities'
    );

/*DESIDEDATUM*/
UPDATE
    public.users
SET
    position = 'Desidedatum'
WHERE
    username in ('URUSAS', 'urusas');

/*Funcionario general*/
UPDATE
    public.users
SET
    position = 'Funcionario General'
WHERE
    username IN (
        'U18050',
        'u18050',
        'U18533',
        'u18533',
        'U16864',
        'u16864',
        'U13513',
        'u13513',
        'U16866',
        'u16866',
        'USACEC',
        'usacec',
        'U47100',
        'u47100',
        'U66220',
        'u66220',
        'U14772',
        'u14772',
        'U16007',
        'u16007',
        'U19537',
        'u19537',
        'U19316',
        'u19316',
        'U19488',
        'u19488',
        'U16655',
        'u16655',
        'U22529',
        'u22529',
        'U17994',
        'u17994',
        'U17625',
        'u17625',
        'U66173',
        'u66173',
        'U16006',
        'u16006',
        'U18805',
        'u18805',
        'U19492',
        'u19492',
        'U65159',
        'u65159',
        'U19896',
        'u19896',
        'U14585',
        'u14585',
        'U17963',
        'u17963',
        'U17392',
        'u17392',
        'U18336',
        'u18336',
        'U16608',
        'u16608',
        'UALFAF',
        'ualfaf',
        'U70096',
        'u70096',
        'U18761',
        'u18761',
        'U19479',
        'u19479',
        'U16572',
        'u16572',
        'U19946',
        'u19946',
        'UYEFEJ',
        'uyefej',
        'U16016',
        'u16016'
    );

/*Funcionario OCI*/
UPDATE
    public.users
SET
    position = 'Funcionario OCI'
WHERE
    username IN (
        'U17569',
        'LEFC',
        'U13580',
        'U18133',
        'LJPL',
        'LJCG',
        'U16656',
        'U18667',
        'u17569',
        'lefc',
        'u13580',
        'u18133',
        'ljpl',
        'ljcg',
        'u16656',
        'u18667',
        'LRFT',
        'lrft'
    );

/*IDRICA*/
UPDATE
    public.users
SET
    position = 'Idrica'
WHERE
    username IN (
        'UGOSAA',
        'USACAS',
        'ULLPIJ',
        'UVIJIJ',
        'UBAVEJ',
        'UPICOL',
        'UMAPUX',
        'ugosaa',
        'usacas',
        'ullpij',
        'uvijij',
        'ubavej',
        'upicol',
        'umapux'
    );

/*Jefe de servicio*/
UPDATE
    public.users
SET
    position = 'Jefe de servicio'
WHERE
    username IN (
        'U16675',
        'U60350',
        'U18520',
        'U19261',
        'U16683',
        'U11007',
        'U65944',
        'U39892',
        'U16678',
        'U17068',
        'U22346',
        'U16996',
        'U17390',
        'U65852',
        'U60051',
        'U16733',
        'U16742',
        'U19898',
        'U18452',
        'U10809',
        'U17385',
        'U39078',
        'U17389',
        'U39098',
        'U18304',
        'U18041',
        'U19897',
        'U17387',
        'U18259',
        'U19370',
        'U19436',
        'U65701',
        'U19437',
        'U16863',
        'U18175',
        'U17381',
        'U29661',
        'U18542',
        'U60334',
        'U19895',
        'U16516',
        'U18427',
        'U10917',
        'LMAG',
        'U11020',
        'U18868',
        'USAFEM',
        'U16680',
        'U18541',
        'U50483',
        'U50496',
        'U17394',
        'U19109',
        'U19439',
        'U17040',
        'U19233',
        'U17398',
        'U18587',
        'U16671',
        'U10923',
        'U21571',
        'U22348',
        'LVRI',
        'U19441',
        'U19442',
        'U17412',
        'U18330',
        'U10807',
        'U16928',
        'U17399',
        'U16852',
        'u16675',
        'u60350',
        'u18520',
        'u19261',
        'u16683',
        'u11007',
        'u65944',
        'u39892',
        'u16678',
        'u17068',
        'u22346',
        'u16996',
        'u17390',
        'u65852',
        'u60051',
        'u16733',
        'u16742',
        'u19898',
        'u18452',
        'u10809',
        'u17385',
        'u39078',
        'u17389',
        'u39098',
        'u18304',
        'u18041',
        'u19897',
        'u17387',
        'u18259',
        'u19370',
        'u19436',
        'u65701',
        'u19437',
        'u16863',
        'u18175',
        'u17381',
        'u29661',
        'u18542',
        'u60334',
        'u19895',
        'u16516',
        'u18427',
        'u10917',
        'lmag',
        'u11020',
        'u18868',
        'usafem',
        'u16680',
        'u18541',
        'u50483',
        'u50496',
        'u17394',
        'u19109',
        'u19439',
        'u17040',
        'u19233',
        'u17398',
        'u18587',
        'u16671',
        'u10923',
        'u21571',
        'u22348',
        'lvri',
        'u19441',
        'u19442',
        'u17412',
        'u18330',
        'u10807',
        'u16928',
        'u17399',
        'u16852'
    );

/*Político gobierno*/
UPDATE
    public.users
SET
    position = 'Politico gobierno'
WHERE
    username IN ('U301362', 'u301362');

/*Telefonica*/
UPDATE
    public.users
SET
    position = 'Telefonica'
WHERE
    username IN (
        'UCAMAA',
        'ucamaa',
        'UBAMOD',
        'ubamod',
        'UHEMUD',
        'uhemud',
        'UPACNA',
        'upacna'
    );

COMMIT;